Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class SelectFieldEx

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.list.AbstractListComponent
              nextapp.echo2.app.SelectField
                  echopointng.SelectFieldEx

All Implemented Interfaces:
  Attributeable, java.io.Serializable, RenderIdSupport

    public class SelectFieldEx

extends SelectField
implements Attributeable

`SelectFieldEx`

See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.list.AbstractListComponent
`ACTION_LISTENERS_CHANGED_PROPERTY, DEFAULT_LIST_CELL_RENDERER, INPUT_ACTION, LIST_CELL_RENDERER_CHANGED_PROPERTY, LIST_DATA_CHANGED_PROPERTY, LIST_MODEL_CHANGED_PROPERTY, PROPERTY_ACTION_COMMAND, PROPERTY_BORDER, PROPERTY_DISABLED_BACKGROUND, PROPERTY_DISABLED_BORDER, PROPERTY_DISABLED_FONT, PROPERTY_DISABLED_FOREGROUND, PROPERTY_HEIGHT, PROPERTY_INSETS, PROPERTY_ROLLOVER_BACKGROUND, PROPERTY_ROLLOVER_ENABLED, PROPERTY_ROLLOVER_FONT, PROPERTY_ROLLOVER_FOREGROUND, PROPERTY_TOOL_TIP_TEXT, PROPERTY_WIDTH, SELECTION_CHANGED_PROPERTY, SELECTION_MODEL_CHANGED_PROPERTY`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`SelectFieldEx()` Creates a new, empty `SelectFieldEx`.
`SelectFieldEx(ListModel model)` Creates a new `SelectFieldEx` with the provided model.
`SelectFieldEx(java.lang.Object[] items)` Creates a new `SelectField` that will initially contain the provided array of items.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns a value for the given attribute name or null if one cannot be found.
`java.lang.String[]` | `getAttributeNames()` Returns a String array with the names of the the attributes that have neen set.
`void` | `init()` Life-cycle method invoked when the `Component` is added to a registered hierarchy.
`void` | `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets a value for a given attribute name.

Methods inherited from class nextapp.echo2.app.SelectField
`getSelectedIndex, getSelectedItem, setSelectedIndex`

Methods inherited from class nextapp.echo2.app.list.AbstractListComponent
`addActionListener, getActionCommand, getBorder, getCellRenderer, getDisabledBackground, getDisabledBorder, getDisabledFont, getDisabledForeground, getHeight, getInsets, getModel, getRolloverBackground, getRolloverFont, getRolloverForeground, getSelectionModel, getToolTipText, getWidth, hasActionListeners, isRolloverEnabled, isValidChild, processInput, removeActionListener, setActionCommand, setBorder, setCellRenderer, setDisabledBackground, setDisabledBorder, setDisabledFont, setDisabledForeground, setHeight, setInsets, setModel, setRolloverBackground, setRolloverEnabled, setRolloverFont, setRolloverForeground, setSelectionModel, setToolTipText, setWidth`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectFieldEx

    public SelectFieldEx()

  Creates a new, empty `SelectFieldEx`.

### SelectFieldEx

    public SelectFieldEx(ListModel model)

  Creates a new `SelectFieldEx` with the provided model.

  Parameters:
    `model` - the model for the `SelectField`

### SelectFieldEx

    public SelectFieldEx(java.lang.Object[] items)

  Creates a new `SelectField` that will initially contain the provided array of items.

  Parameters:
    `items` - the items the `SelectField` will initially contain

Method Detail

### init

    public void init()

  Description copied from class: `Component`
  Life-cycle method invoked when the `Component` is added to a registered hierarchy. Implementations should always invoke `super.init()`. Modifications to the component hierarchy are not allowed within this method.

  Overrides:
    `init` in class `Component`
  See Also:
    `Component.init()`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attributeName)

  Description copied from interface: `Attributeable`
  Returns a value for the given attribute name or null if one cannot be found.

  Specified by:
    `getAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to return
  Returns:
    a value for the given attribute name or null if one cannot be found.
  See Also:
    `Attributeable.getAttribute(java.lang.String)`

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Description copied from interface: `Attributeable`
  Returns a String array with the names of the the attributes that have neen set.

  Specified by:
    `getAttributeNames` in interface `Attributeable`
  Returns:
    a String array with the names of the the attributes that have neen set.
  See Also:
    `Attributeable.getAttributeNames()`

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.Object attributeValue)

  Description copied from interface: `Attributeable`
  Sets a value for a given attribute name.

  Specified by:
    `setAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to set
    `attributeValue` - - the value for the attribute
  See Also:
    `Attributeable.setAttribute(java.lang.String, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD